START-AVARICE(1)

NAME
start-avarice - launch avarice in detached mode

SYNOPSIS
start-avarice [file]

DESCRIPTION
start-avarice is a helper to launch avarice in detached mode. avarice will be listening in GDB mode on local port 6423. You can then connect from avr-gdb like so:

    (gdb) target remote localhost:6423

Other running instances of avarace are killed first. If the optional argument file is specified, the target is first erased, and then programmed with this file. Note that this feature has been deprecated though, and may disappear anytime in the future.

ENVIRONMENT

AVARICE_ARGS
    Additional arguments to pass on to avarice.

SEE ALSO
avarice(1), gdb(1), kill-avarice(1).